Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java	(revision 18297)
@@ -118,12 +118,16 @@
     public WriteCDImagePrompt() {
 	super(Gatherer.g_man, true);
+        this.setComponentOrientation(Dictionary.getOrientation());
 	cancel_button = new GLIButton(Dictionary.get("General.Close"), Dictionary.get("General.Close_Tooltip"));
 	
 	details_textarea = new JTextArea(Dictionary.get("DeleteCollectionPrompt.No_Collection"));
-	details_textarea.setEditable(false);
+	details_textarea.setComponentOrientation(Dictionary.getOrientation());
+        details_textarea.setEditable(false);
 	
 	details_label = new JLabel(Dictionary.get("DeleteCollectionPrompt.Collection_Details"));
-	
+	details_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	instructions_textarea = new JTextArea(Dictionary.get("WriteCDImagePrompt.Instructions"));
+        instructions_textarea.setComponentOrientation(Dictionary.getOrientation());
 	instructions_textarea.setCaretPosition(0);
 	instructions_textarea.setEditable(false);
@@ -135,13 +139,16 @@
 	list = new CheckList(true);
 	list_label = new JLabel(Dictionary.get("DeleteCollectionPrompt.Collection_List"));
-	
-	ok_button = new GLIButton(Dictionary.get("WriteCDImagePrompt.Export"), Dictionary.get("WriteCDImagePrompt.Export_Tooltip"));
-	
+	list_label.setComponentOrientation(Dictionary.getOrientation());
+        
+	ok_button = new GLIButton(Dictionary.get("WriteCDImagePrompt.Export"), Dictionary.get("WriteCDImagePrompt.Export_Tooltip"));	       
+        
 	title_field = new JTextField();
+        title_field.setComponentOrientation(Dictionary.getOrientation());
 	// Dictionary.setTooltip(title_field, "WriteCDImagePrompt.CD_Name_Tooltip");
 	title_label = new JLabel(Dictionary.get("WriteCDImagePrompt.CD_Name"));
-	
+	title_label.setComponentOrientation(Dictionary.getOrientation());
 
 	estimated_size_field = new JTextField();
+        estimated_size_field.setComponentOrientation(Dictionary.getOrientation());
 	estimated_size_field.setEditable(false);
 
@@ -152,7 +159,8 @@
 	estimated_size_field.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 	estimated_size_label = new JLabel(Dictionary.get("WriteCDImagePrompt.Size_Label"));
-	
+	estimated_size_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	scanForCollections();
-	list.setListData(all_collections);
+	list.setListData(all_collections);        
 
 	prompt = this;
@@ -172,11 +180,10 @@
 	noinstall_button = new JRadioButton(Dictionary.get("WriteCDImagePrompt.NoInstall"));
 	noinstall_button.setToolTipText(Dictionary.get("WriteCDImagePrompt.NoInstall_Tooltip"));
-	
+	noinstall_button.setComponentOrientation(Dictionary.getOrientation());
 	
 	install_button = new JRadioButton(Dictionary.get("WriteCDImagePrompt.Install"));
 	install_button.setToolTipText(Dictionary.get("WriteCDImagePrompt.Install_Tooltip"));
-	
-
-	
+	install_button.setComponentOrientation(Dictionary.getOrientation());
+        
     }
 
@@ -203,6 +210,7 @@
     public boolean display() {
 
+        JScrollPane scrol_tmp;
 	// Radio buttons
-	ButtonGroup radio_group = new ButtonGroup();
+	ButtonGroup radio_group = new ButtonGroup();        
 	radio_group.add(install_button);
 	install_button.setSelected(true);
@@ -211,22 +219,27 @@
 	// Top pane
 	JPanel instructions_pane = new JPanel(new BorderLayout());
+        instructions_pane.setComponentOrientation(Dictionary.getOrientation());
 	instructions_pane.setBorder(BorderFactory.createEmptyBorder(5,5,0,5));
-	instructions_pane.add(new JScrollPane(instructions_textarea), BorderLayout.CENTER);
+        scrol_tmp = new JScrollPane(instructions_textarea);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	instructions_pane.add(scrol_tmp, BorderLayout.CENTER);
 	
 	title_label.setBorder(BorderFactory.createEmptyBorder(0,5,0,15));
 
 	JPanel title_pane = new JPanel(new BorderLayout());
-	title_pane.add(title_label, BorderLayout.WEST);
+        title_pane.setComponentOrientation(Dictionary.getOrientation());
+	title_pane.add(title_label, BorderLayout.LINE_START);
 	title_pane.add(title_field, BorderLayout.CENTER);
 	title_pane.setBorder(BorderFactory.createEmptyBorder(5,0,5,0));
 
 	JPanel radio_pane = new JPanel(new GridLayout(2,1));
+        radio_pane.setComponentOrientation(Dictionary.getOrientation());
 	install_button.setBackground(Configuration.getColor("coloring.collection_heading_background", true));
 	noinstall_button.setBackground(Configuration.getColor("coloring.collection_heading_background", true));
 	radio_pane.add(install_button);
-	radio_pane.add(noinstall_button);
-	
-	
+	radio_pane.add(noinstall_button);		
+        
 	JPanel options_pane = new JPanel(new BorderLayout());
+        options_pane.setComponentOrientation(Dictionary.getOrientation());
 	options_pane.add(title_pane, BorderLayout.NORTH);
 	options_pane.add(radio_pane, BorderLayout.CENTER);
@@ -235,14 +248,20 @@
 	// Central pane
 	JPanel list_pane = new JPanel(new BorderLayout());
+        list_pane.setComponentOrientation(Dictionary.getOrientation());
 	list_pane.add(list_label, BorderLayout.NORTH);
-	list_pane.add(new JScrollPane(list), BorderLayout.CENTER);
+        scrol_tmp =new JScrollPane(list);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	list_pane.add(scrol_tmp, BorderLayout.CENTER);
 	list_pane.setBorder(BorderFactory.createEmptyBorder(0, 0, 5, 0));
 
 	JPanel details_pane = new JPanel(new BorderLayout());
 	details_pane.add(details_label, BorderLayout.NORTH);
-	details_pane.add(new JScrollPane(details_textarea), BorderLayout.CENTER);
+        scrol_tmp =new JScrollPane(details_textarea);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	details_pane.add(scrol_tmp, BorderLayout.CENTER);
 	details_pane.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
-
+        
 	JPanel central_pane = new JPanel(new GridLayout(2, 1));
+        central_pane.setComponentOrientation(Dictionary.getOrientation());
 	central_pane.add(list_pane);
 	central_pane.add(details_pane);
@@ -251,14 +270,17 @@
 	// Lower pane
 	JPanel estimated_size_pane = new JPanel(new BorderLayout());
-	estimated_size_pane.add(estimated_size_label, BorderLayout.WEST);
+        estimated_size_pane.setComponentOrientation(Dictionary.getOrientation());
+	estimated_size_pane.add(estimated_size_label, BorderLayout.LINE_START);
 	estimated_size_pane.add(estimated_size_field, BorderLayout.CENTER);
 	estimated_size_pane.setBorder(BorderFactory.createEmptyBorder(0, 0, 5, 0));
 
 	JPanel button_pane = new JPanel(new GridLayout(1, 2));
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	button_pane.add(ok_button);
 	button_pane.add(cancel_button);
 	button_pane.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
-
+       
 	JPanel lower_pane = new JPanel(new BorderLayout());
+        lower_pane.setComponentOrientation(Dictionary.getOrientation());
 	lower_pane.add(estimated_size_pane, BorderLayout.NORTH);
 	lower_pane.add(button_pane, BorderLayout.SOUTH);
@@ -267,9 +289,10 @@
 	// Final.
 	JPanel content_pane = (JPanel)this.getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	content_pane.setLayout(new BorderLayout());
 	content_pane.add(instructions_pane, BorderLayout.NORTH);
 	content_pane.add(central_pane, BorderLayout.CENTER);
 	content_pane.add(lower_pane, BorderLayout.SOUTH);
-
+        
 	// Center and display.
 	Dimension screen_size = Configuration.screen_size;
@@ -600,10 +623,14 @@
 	    public ProgressDialog() {
 		super(Gatherer.g_man, Dictionary.get("WriteCDImagePrompt.Title"), true);
+                this.setComponentOrientation(Dictionary.getOrientation());
 		setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
 		setSize(size);
 		JPanel content_pane = (JPanel) getContentPane();
+                content_pane.setComponentOrientation(Dictionary.getOrientation());
 		JLabel progress_label = new JLabel(Dictionary.get("WriteCDImagePrompt.Progress_Label"));
-		
+		progress_label.setComponentOrientation(Dictionary.getOrientation());
+                
 		JProgressBar progress_bar = new JProgressBar();
+                progress_bar.setComponentOrientation(Dictionary.getOrientation());
 		progress_bar.setIndeterminate(true);
 		content_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/metaaudit/AutofilterDialog.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/metaaudit/AutofilterDialog.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/metaaudit/AutofilterDialog.java	(revision 18297)
@@ -108,4 +108,5 @@
 	this.dialog = dialog;
 	this.self = this;
+        this.setComponentOrientation(Dictionary.getOrientation());
 	setModal(true);
 	setJMenuBar(new SimpleMenuBar("reviewingmetadata")); 
@@ -115,22 +116,36 @@
 	// Creation
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel name_pane = new JPanel();
+        name_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel name_label = new JLabel(Dictionary.get("Autofilter.Name"));
+        name_label.setComponentOrientation(Dictionary.getOrientation());
 	JTextField name_template = new JTextField();
+        name_template.setComponentOrientation(Dictionary.getOrientation());
 	name = new JLabel();
+        name.setComponentOrientation(Dictionary.getOrientation());
 	name.setBorder(name_template.getBorder());
 	control = new JTabbedPane();
+        control.setComponentOrientation(Dictionary.getOrientation());
 	JPanel value_pane = new JPanel();
+        value_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel inner_value_pane = new JPanel();
+        inner_value_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel value_label = new JLabel(Dictionary.get("Autofilter.eqeq"));
+        value_label.setComponentOrientation(Dictionary.getOrientation());
 	value = new JComboBox();
+        value.setComponentOrientation(Dictionary.getOrientation());
 	value.setOpaque(false);
 	value.setEditable(false);
 	JPanel custom_pane = new JPanel();
+        custom_pane.setComponentOrientation(Dictionary.getOrientation());
 
 	JPanel first_pane = new JPanel();
+        first_pane.setComponentOrientation(Dictionary.getOrientation());
 	first_method = new JComboBox();
+        first_method.setComponentOrientation(Dictionary.getOrientation());
 	first_method.setOpaque(false);
 	first_value = new JComboBox();
+        first_value.setComponentOrientation(Dictionary.getOrientation());
 	first_value.setOpaque(false);
 	first_value.setEditable(true);
@@ -138,13 +153,19 @@
 	first_value.setSelectedItem("");
 	first_case = new JCheckBox(Dictionary.get("Autofilter.Case_Sensitive"));
+        first_case.setComponentOrientation(Dictionary.getOrientation());
 	JPanel operator_pane = new JPanel();
+        operator_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel operator_label = new JLabel(Dictionary.get("Autofilter.Operator"));
-	ButtonGroup operator_group = new ButtonGroup();
+        operator_label.setComponentOrientation(Dictionary.getOrientation());
+	ButtonGroup operator_group = new ButtonGroup();        
 	and_radiobutton = new JRadioButton(Dictionary.get("Autofilter.AND"));
+        and_radiobutton.setComponentOrientation(Dictionary.getOrientation());
 	and_radiobutton.setOpaque(false);
 	none_radiobutton = new JRadioButton(Dictionary.get("Autofilter.None"));
+        none_radiobutton.setComponentOrientation(Dictionary.getOrientation());
 	none_radiobutton.setOpaque(false);
 	none_radiobutton.setSelected(true);
 	or_radiobutton = new JRadioButton(Dictionary.get("Autofilter.OR"));
+        or_radiobutton.setComponentOrientation(Dictionary.getOrientation());
 	or_radiobutton.setOpaque(false);
 	operator_group.add(none_radiobutton);
@@ -153,8 +174,11 @@
 
 	JPanel second_pane = new JPanel();
+        second_pane.setComponentOrientation(Dictionary.getOrientation());
 	second_method = new JComboBox();
+        second_method.setComponentOrientation(Dictionary.getOrientation());
 	second_method.setOpaque(false);
 	second_method.setEnabled(false);
 	second_value = new JComboBox();
+        second_value.setComponentOrientation(Dictionary.getOrientation());
 	second_value.setOpaque(false);
 	second_value.setEditable(true);
@@ -163,14 +187,19 @@
 	second_value.setSelectedItem("");
 	second_case = new JCheckBox(Dictionary.get("Autofilter.Case_Sensitive"));
+        second_case.setComponentOrientation(Dictionary.getOrientation());
 	JPanel lower_pane = new JPanel();
+        lower_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel order_pane = new JPanel();
+        order_pane.setComponentOrientation(Dictionary.getOrientation());
 	order_pane.setToolTipText(Dictionary.get("Autofilter.Order_Tooltip"));
 	JLabel order_label = new JLabel(Dictionary.get("Autofilter.Order"));
-	
+	order_label.setComponentOrientation(Dictionary.getOrientation());
 	ButtonGroup order_group = new ButtonGroup();
 	ascending_radiobutton = new JRadioButton(Dictionary.get("Autofilter.Ascending"));
+        ascending_radiobutton.setComponentOrientation(Dictionary.getOrientation());
 	ascending_radiobutton.setOpaque(false);
 	ascending_radiobutton.setSelected(true);
 	descending_radiobutton = new JRadioButton(Dictionary.get("Autofilter.Descending"));
+        descending_radiobutton.setComponentOrientation(Dictionary.getOrientation());
 	descending_radiobutton.setOpaque(false);
 	order_group.add(ascending_radiobutton);
@@ -183,4 +212,5 @@
 	}
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	cancel_button = new GLIButton(Dictionary.get("General.Cancel"), Dictionary.get("General.Pure_Cancel_Tooltip"));
 	remove_button = new GLIButton(Dictionary.get("Autofilter.Remove"), Dictionary.get("Autofilter.Remove_Tooltip"));
@@ -200,5 +230,5 @@
 	name_pane.setBorder(BorderFactory.createEmptyBorder(0,0,5,0));
 	name_pane.setLayout(new BorderLayout());
-	name_pane.add(name_label, BorderLayout.WEST);
+	name_pane.add(name_label, BorderLayout.LINE_START);
 	name_pane.add(name, BorderLayout.CENTER);
 
@@ -206,5 +236,5 @@
 
 	inner_value_pane.setLayout(new BorderLayout());
-	inner_value_pane.add(value_label, BorderLayout.WEST);
+	inner_value_pane.add(value_label, BorderLayout.LINE_START);
 	inner_value_pane.add(value, BorderLayout.CENTER);
 
@@ -214,7 +244,7 @@
 
 	first_pane.setLayout(new BorderLayout());
-	first_pane.add(first_method, BorderLayout.WEST);
+	first_pane.add(first_method, BorderLayout.LINE_START);
 	first_pane.add(first_value, BorderLayout.CENTER);
-	first_pane.add(first_case, BorderLayout.EAST);
+	first_pane.add(first_case, BorderLayout.LINE_END);
 
 	operator_pane.setLayout(new GridLayout(1,4));
@@ -225,7 +255,7 @@
 
 	second_pane.setLayout(new BorderLayout());
-	second_pane.add(second_method, BorderLayout.WEST);
+	second_pane.add(second_method, BorderLayout.LINE_START);
 	second_pane.add(second_value, BorderLayout.CENTER);
-	second_pane.add(second_case, BorderLayout.EAST);
+	second_pane.add(second_case, BorderLayout.LINE_END);
 
 	order_pane.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditFrame.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditFrame.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditFrame.java	(revision 18297)
@@ -102,10 +102,10 @@
     {
 	super(Gatherer.g_man);
-
+        
 	// Arguments
 	this.autofilter_dialog = new AutofilterDialog(this);
 	this.self = this;
 	this.table = new MetaAuditTable(this);
-
+        this.setComponentOrientation(Dictionary.getOrientation());
 	// Creation
 	setDefaultCloseOperation(JDialog.HIDE_ON_CLOSE);
@@ -115,6 +115,8 @@
 	
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel button_pane = new JPanel();
-
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JButton close_button = new GLIButton(Dictionary.get("MetaAudit.Close"), Dictionary.get("MetaAudit.Close_Tooltip"));
 	
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditTable.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditTable.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditTable.java	(revision 18297)
@@ -43,4 +43,5 @@
 import javax.swing.event.TableModelEvent;
 import javax.swing.table.*;
+import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.collection.CollectionTreeNode;
 import org.greenstone.gatherer.metadata.MetadataAuditTableModel;
@@ -73,4 +74,5 @@
     public MetaAuditTable(MetaAuditFrame parent_frame) {
 	super();
+        this.setComponentOrientation(Dictionary.getOrientation());
 	this.cell_renderer = new MetaAuditRenderer();
 	this.header_renderer = new HeaderRenderer();
